ghc-7.0.3: The GHC API

DsBinds

# Documentation

dsTopLHsBinds :: AutoScc -> LHsBinds Id -> DsM (OrdList (Id, CoreExpr))Source

dsLHsBinds :: LHsBinds Id -> DsM [(Id, CoreExpr)]Source

decomposeRuleLhs :: [Var] -> CoreExpr -> Either SDoc ([Var], Id, [CoreExpr])Source

dsSpec :: Maybe CoreExpr -> Located TcSpecPrag -> DsM (Maybe (OrdList (Id, CoreExpr), CoreRule))Source

dsHsWrapper :: HsWrapper -> DsM (CoreExpr -> CoreExpr)Source

dsTcEvBinds :: TcEvBinds -> DsM [DsEvBind]Source

dsEvBinds :: Bag EvBind -> DsM [DsEvBind]Source

wrapDsEvBinds :: [DsEvBind] -> CoreExpr -> CoreExpr Source

data DsEvBind Source

Constructors

LetEvBind CoreBind |
CaseEvBind DictId AltCon [CoreBndr] |

data AutoScc Source

Constructors

NoSccs |
AddSccs Module (Id -> Bool) |